# class Counter64 |
Full name | `Snmp::Counter64`
Definition | `#include <libs/ysnmp/yatesnmp.h>`
Inherits | AsnObject (unknown) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- Counter64 ()
- Counter64 (void* data, int len)
- ~Counter64 ()
- int decode (DataBlock& data)
- int encode (DataBlock& data)
- void getParams (NamedList* params)
- void setParams (NamedList* params)

#### Public Members

- static const int s_type
- static const int tag_Counter64
- u_int64_t m_Counter64
- static const u_int64_t s_Counter64MinSize
- static const u_int64_t s_Counter64MaxSize

## Detailed Description

static const int s_type | ### s_type

static const int tag_Counter64 | ### tag_Counter64

u_int64_t m_Counter64 | ### m_Counter64

static const u_int64_t s_Counter64MinSize | ### s_Counter64MinSize

static const u_int64_t s_Counter64MaxSize | ### s_Counter64MaxSize

Counter64 () | ### Counter64

Counter64 (void* data, int len) | ### Counter64

~Counter64 () | ### ~Counter64

int decode (DataBlock& data) | ### decode

int encode (DataBlock& data) | ### encode

void getParams (NamedList* params) | ### getParams

void setParams (NamedList* params) | ### setParams

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.